// FileRev.cpp: implementation of the FileRev class.
//
//////////////////////////////////////////////////////////////////////

#include "FileHead.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

FileRev::FileRev(StrBuf newrev, FileHead* parent, StrBuf newchange, short revtype, bool text)
{
	rev = newrev;
	change = newchange;
	file = parent;
	type = revtype;
	prev = NULL;
	next = NULL;
	from = NULL;
	fromcheck = false;
	intocheck = false;
	fromrev = StrBuf();
	fromfile = StrBuf();
	intofiles = ListList();
	intorevs = ListList();
	ent = NULL;
	istext = text;

	fromarrows = NULL;
	intoarrows = NULL;
}

void FileRev::AddFromArrow(FileRev* rev, ArrowType atype, Contrib trib)
{
	FileRevArrow* newarrow = new FileRevArrow;
	newarrow->ptr = rev;
	newarrow->type = atype;
	newarrow->contrib = contrib;
	newarrow->next = fromarrows;

	fromarrows = newarrow;
}

void FileRev::AddIntoArrow(FileRev* rev, ArrowType atype, Contrib trib)
{
	FileRevArrow* newarrow = new FileRevArrow;
	newarrow->ptr = rev;
	newarrow->type = atype;
	newarrow->contrib = contrib;
	newarrow->next = intoarrows;

	intoarrows = newarrow;
}

FileRev::~FileRev()
{
	if (next != NULL) delete next;
}
